defmodule Iconify.Noto.BaguetteBread do
  use Phoenix.Component

  def render(assigns) do
    ~H"""
    <svg
      xmlns="http://www.w3.org/2000/svg"
      aria-hidden="true"
      role="img"
      class={@class}
      viewBox="0 0 128 128"
      aria-hidden="true"
    >
      <path
        fill="#E38413"
        d="m98.3 39.81l-55.45 60.78l-38.39 14.72s-1.48 3.31 1.58 6c2.57 2.27 6.25 1.14 7.84.57s4.39.16 7.38.23c2.3.05 7.72-.91 11.13-2.5s10-5.34 21.7-16.24s26.04-25.09 31.57-31.25C96.19 60.39 97.76 58 107 45.39c7.22-9.86 11.39-18.15 13.32-22.35c1.93-4.2 4.66-9.77 4.09-13.06S121 6.11 121 6.11l-22.7 33.7z"
      />
      <radialGradient
        id="svgIDa"
        cx="47.518"
        cy="49.924"
        r="43.766"
        gradientTransform="matrix(.7047 .7095 -1.77 1.7578 102.401 -71.55)"
        gradientUnits="userSpaceOnUse"
      >
        <stop offset=".445" stop-color="#DB8316" /><stop offset=".539" stop-color="#DF8A1B" /><stop
          offset=".671"
          stop-color="#E99C2A"
        /><stop offset=".79" stop-color="#F6B23B" />
      </radialGradient>
      <path
        fill="url(#svgIDa)"
        d="M83.47 18.47c-7.67 5.49-19.39 17.04-33.3 32C33.25 68.66 15.7 89.71 12.28 95.9c-5.2 9.41-4.15 11.42-5.5 14.26s-3.92 5.3-2.09 8.6c1.46 2.65 5.49 1.36 7.74.51c1.79-.68 4.58-.27 8.11-.08c6.11.32 13.48-2.43 22.05-9.34S73.62 80.31 89.1 63.47s29.72-41.93 32.3-47.24c2.58-5.31 3.02-6.16 3.02-7.08c0-.93-1.63-5.35-11.96-3.91s-21.45 7.83-28.99 13.23z"
      />
      <radialGradient
        id="svgIDb"
        cx="99.251"
        cy="16.863"
        r="9.919"
        gradientTransform="matrix(.8 -.6 .3781 .5041 13.475 67.913)"
        gradientUnits="userSpaceOnUse"
      >
        <stop offset=".029" stop-color="#FBD8A9" /><stop
          offset="1"
          stop-color="#FBD8A9"
          stop-opacity="0"
        />
      </radialGradient>
      <path
        fill="url(#svgIDb)"
        d="M102.2 8.52c-2.83.25-8.96 4.19-10.4 5.76c-4.59 5-1.41 10.03 2.5 10.16c7.38.24 13.31-4.59 14.59-9.13c1.61-5.74-2.67-7.15-6.69-6.79z"
      />
      <radialGradient
        id="svgIDc"
        cx="76.352"
        cy="40.241"
        r="13.416"
        gradientTransform="matrix(.9934 -.5282 .4699 .6456 -18.34 54.592)"
        gradientUnits="userSpaceOnUse"
      >
        <stop offset=".097" stop-color="#FDE5BF" /><stop
          offset=".37"
          stop-color="#FCE1B9"
          stop-opacity=".742"
        /><stop offset=".716" stop-color="#FAD8A9" stop-opacity=".416" /><stop
          offset=".843"
          stop-color="#FCE0B6"
          stop-opacity=".211"
        /><stop offset=".974" stop-color="#FDE5BF" stop-opacity="0" />
      </radialGradient>
      <path
        fill="url(#svgIDc)"
        d="M75.15 28.12c-3.34 1.22-9.05 6.9-10.73 8.5c-4.01 3.84-6.83 15.41 5.78 16.1c10.29.56 22.76-9.43 20.67-18.89c-1.48-6.76-8.69-8.27-15.72-5.71z"
      />
      <radialGradient
        id="svgIDd"
        cx="47.558"
        cy="72.772"
        r="13.1"
        gradientTransform="matrix(.7602 -.7098 .6856 .612 -37.33 62.34)"
        gradientUnits="userSpaceOnUse"
      >
        <stop offset=".188" stop-color="#FBD8A9" /><stop
          offset=".977"
          stop-color="#FBD8A9"
          stop-opacity="0"
        />
      </radialGradient>
      <path
        fill="url(#svgIDd)"
        d="M49.76 60.67c-4.82.44-8.87 1.46-13.25 8.08c-5.79 8.75.17 17.01 8.23 17.38c7.66.35 15.52-4.16 17.5-11.86c2.2-8.6-5.25-14.26-12.48-13.6z"
      />
      <radialGradient
        id="svgIDe"
        cx="24.16"
        cy="100.109"
        r="16.826"
        gradientTransform="matrix(.7432 -.6769 .383 .4125 -31.988 75.173)"
        gradientUnits="userSpaceOnUse"
      >
        <stop offset="0" stop-color="#FDE5BF" /><stop
          offset="1"
          stop-color="#FDE5BF"
          stop-opacity="0"
        />
      </radialGradient>
      <path
        fill="url(#svgIDe)"
        d="M28.04 86.6c-6.54 1.62-12.19 5.8-15.9 11.84c-5.48 8.92-3.94 14.56.96 16.33c4.9 1.78 19.65-5.34 25.09-15.01c6.45-11.48-2.02-15.18-10.15-13.16z"
      /><path
        fill="#CE701B"
        d="M65.95 37.97c-.6-1.2 2.48-4.16 6.37-7.51c3.89-3.36 11.76-8.56 18.65-10.17c7.6-1.77 17.24-1.94 17.42-.09c.14 1.42-6.98 5.75-6.98 5.75L71.34 37.52s-4.86 1.51-5.39.45z"
      /><path
        fill="#FDCE8C"
        d="M86.2 27c-11.16 4.85-17.28 11.1-17.28 11.1s10.03.18 23.69-5.04c7.38-2.82 14.57-11.19 14.57-11.19s-10.2.45-20.98 5.13z"
      /><path
        fill="#CE701B"
        d="M44.34 66.78s-4.51 2.34-5.64 1.93c-1.13-.4 0-2.18 1.29-4.19c.93-1.45 6.64-8.4 12.96-12.2c6.69-4.03 13.33-5.51 19.77-6.01c5.83-.46 12.97.01 11.61 1.69c-1.5 1.84-3.11 3.65-3.11 3.65L44.34 66.78z"
      /><path
        fill="#FDCE8C"
        d="M58.45 54.53c9.07-3.73 12.65-3.95 16.85-4.67c4.19-.73 7.9-.48 7.9-.48s-2.2 2.71-4.86 5.21s-6.01 5.06-7.62 5.54s-10.89 3.15-17.19 4.6c-5.32 1.22-12.65 3.6-12.65 3.6s7.98-9.85 17.57-13.8z"
      /><path
        fill="#CE701B"
        d="M15.82 96.17c-.19-1.15 6.06-10.66 15.08-15.52s19.85-4.61 22.57-4.55s5.26.35 5.09 1.56s-1.45 1.85-1.45 1.85L17.85 96.58s-1.85.64-2.03-.41z"
      /><path
        fill="#FDCE8C"
        d="M27.8 87.21c7.29-5.21 15.15-6.65 20.7-7.34c5.74-.72 8.62-.4 8.62-.4s-3.95 4.4-6.08 6.13c-1.94 1.58-5.74 4.54-7.51 5.26c-1.22.5-8.79 2.26-12.09 3.01s-13.82 2.78-13.82 2.78s1.93-3.55 10.18-9.44z"
      />
    </svg>
    """
  end
end
